Timers
lwIP » Options (lwipopts.h) » Infrastructure

## Macros

#define | LWIP_TIMERS 1
#define | LWIP_TIMERS_CUSTOM 0

## Detailed Description

## Macro Definition Documentation

## LWIP_TIMERS

#define LWIP_TIMERS 1

LWIP_TIMERS==0: Drop support for sys_timeout and lwip-internal cyclic timers. (the array of lwip-internal cyclic timers is still provided) (check NO_SYS_NO_TIMERS for compatibility to old versions)

## LWIP_TIMERS_CUSTOM

#define LWIP_TIMERS_CUSTOM 0

LWIP_TIMERS_CUSTOM==1: Provide your own timer implementation. Function prototypes in timeouts.h and the array of lwip-internal cyclic timers are still included, but the implementation is not. The following functions will be required: sys_timeouts_init(), sys_timeout(), sys_untimeout(), sys_timeouts_mbox_fetch()